'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgRobotics = function SvgRobotics(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Robotics_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "m46.934 45.059-.667-.881c-1.775 1.526-3.987 2.359-6.267 2.359s-4.492-.833-6.267-2.36l-.667.882c1.964 1.688 4.411 2.608 6.934 2.608s4.97-.92 6.934-2.608m-20.066 6.584c3.616 3.433 8.29 5.33 13.132 5.33s9.516-1.897 13.132-5.33l-.7-.847c-3.42 3.25-7.844 5.047-12.427 5.047S31 54.047 27.578 50.796zm13.127 13.248c-6.83.002-13.408-2.75-18.414-7.702l-.72.824C26.07 63.148 32.905 66 40 66s13.93-2.852 19.14-7.987l-.721-.824c-5.008 4.957-11.59 7.71-18.424 7.702M66.12 14h-1.06v11.057h-6.155l-11.792-6.19a.55.55 0 0 0-.233-.078H33.108a.54.54 0 0 0-.233.056l-11.77 6.212h-6.167V14H13.88v11.057H9.514v1.13h11.59l11.655 6.132 4.132 6.46q.072.117.187.183t.247.066h5.36a.5.5 0 0 0 .248-.065.5.5 0 0 0 .187-.184l4.121-6.437 11.654-6.133h11.602v-1.13H66.12zM42.4 37.898h-4.8l-3.485-5.455h11.78zm4.365-6.584h-13.54l-10.807-5.647 10.807-5.647h13.53l10.827 5.647zM17.47 15.23h11.336v1.13H17.47zM0 15.231h11.39v1.13H0zm68.664 0H80v1.13H68.664zm-17.481 0h11.336v1.13H51.183z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Robotics_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgRobotics;
